Welcome, Guest. Please login or register.
Did you miss your activation email?
Monday 10 December 2018, 06:15:48 pm

Login with username, password and session length

Download the latest community FREE version  HERE
13847 Posts in 4212 Topics by 5877 Members
Latest Member: CharlesMet
Search:     Advanced search
+  EFW Support
|-+  Development
| |-+  Contribute Your Customisations & Modifications
| | |-+  Updating Endian to use ClamAV 0.91.2
0 Members and 0 Guests are viewing this topic. « previous next »
Pages: [1] Go Down Print
Author Topic: Updating Endian to use ClamAV 0.91.2  (Read 6927 times)
euser4life
Full Member
***
Offline Offline

Posts: 13


« on: Friday 31 August 2007, 07:35:18 am »

Here is another one that I use when looking for updates....

Mike Tremaine over at http://www.stellarcore.net/downloads/efw2-updates/

Is always faithful in packaging together updates for us noobs... Thank you sir, your efforts are much appreciated.

Also before you update make sure that you make a backup the old /etc/init.d/clamd file and copy it back after installation of 0.91.1 because this file isn't included in Mike's build.

(** I have updated Endian 2.1.2 with this rpm for clamav 0.91.1 but not 0.91.2 yet)
(*** The new version speeds up the amount of time it would take when having to reboot endian or when having to save and restart proxy changes)
Logged
Bhai
Full Member
***
Offline Offline

Posts: 10


« Reply #1 on: Saturday 29 December 2007, 10:09:27 pm »

You will get errors if you just install it with rpm -i, you will need to do the following:

Backup init.d script:

Quote
cp /etc/init.d/clamd /tmp/

Stop Clamd:

Quote
/etc/init.d/clamd stop


Get the updated files, you can use WinSCP or scp to transfer the files:

Quote

ClamAV will give an error if you only clamav-0.91.2-0.endian5.i386.rpm it needs the clamav-db package:

Quote
rpm -i --replacefiles clamav-db-0.91.2-0.endian5.i386.rpm

The replace files option will extract the new files other wise you will get an error like this

Quote
rpm -i clamav-0.91.2-0.endian5.i386.rpm
        file /etc/clamav/clamd.conf from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /etc/clamav/freshclam.conf from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /usr/bin/clamdscan from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /usr/bin/clamscan from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /usr/bin/freshclam from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /usr/lib/libclamav.so from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /usr/lib/libclamav.so.2 from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /usr/sbin/clamd from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12
        file /var/log/clamav/clamd.log from install of clamav-0.91.2-0.endian5 conflicts with file from package clamav-0.90.1-0.endian12

After this:

Quote
rpm -i --replacefiles clamav-0.91.2-0.endian5.i386.rpm

That should be it, now we copy the clamd script back to /etc/init.d/

Quote
cp /tmp/clamd  /etc/init.d/clamd

Start ClamAV again:

Quote
/etc/init.d/clamd start

I just installed it and it worked.
Logged
sunbeamalpine
Jr. Member
*
Offline Offline

Posts: 2


« Reply #2 on: Sunday 11 May 2008, 07:43:51 am »

I followed the instructions EXCEPT that the I could not find the same rpm files.  I did find even newer versions (0.93).  Followed the instructions, didn't get any error messages - until ....

/etc/init.d/clamd start                         [failed]

Help please!
Logged
ying.kwang.tu
Jr. Member
*
Offline Offline

Posts: 1


« Reply #3 on: Monday 16 June 2008, 07:27:59 pm »

I'd followed Bhai's instructions on my endian 2.1 with no sweat. A little exception on:

/etc/clamav/clamd.conf

where I had to add bunch of boolean value, "yes" without the quotation marks to a few lines in the configurations files.

Otherwise, it was smooth ride.

my two cents...
Logged
TripleWithCheese
Jr. Member
*
Offline Offline

Posts: 1


« Reply #4 on: Wednesday 18 June 2008, 04:07:34 am »

"I followed the instructions EXCEPT that the I could not find the same rpm files.  I did find even newer versions (0.93).  Followed the instructions, didn't get any error messages - until ....

/etc/init.d/clamd start                         [failed]"

I did the same thing, you need to make a  changes to the clamd.conf file
/etc/clamav/clamd.conf.

Comment out the lines that read:
MailMaxRecursion
ArchiveMaxFileSize
ArchiveMaxRecursion
ArchiveMaxFiles         
ArchiveMaxCompressionRatio
ArchiveBlockEncrypted
These options have been removed
* clamd:
    - NEW CONFIG FILE OPTIONS: MaxScanSize, MaxFileSize, MaxRecursion, MaxFiles
    - ** THE FOLLOWING OPTIONS ARE NO LONGER SUPPORTED **: MailMaxRecursion,
      ArchiveMaxFileSize, ArchiveMaxRecursion, ArchiveMaxFiles,
      ArchiveMaxCompressionRatio, ArchiveBlockMax

Then jump over to your log directory /var/log/clamav
and
chmod and add rw access for everyone to clamd.log
Logged
Pages: [1] Go Up Print 
« previous next »
Jump to:  

Page created in 0.094 seconds with 18 queries.
Powered by SMF 1.1 RC2 | SMF © 2001-2005, Lewis Media Design by 7dana.com